<script lang="ts" setup>
import { defineOptions, ref } from 'vue'
import Quill from '@/components/RichEditor/Quill.vue'

defineOptions({ name: 'FilterModal' })

const emit = defineEmits(['showNewFilter'])

const show = ref(false)

function showModal() {
  show.value = true
}

function closeModal() {
  show.value = false
}

defineExpose({
  showModal,
})
</script>

<template>
  <div>
    <n-modal v-model:show="show" transform-origin="center">
      <Quill />
    </n-modal>
  </div>
</template>

<style lang="less" scoped>

</style>
